Skip to content

Knowledge Base Files

Operations for the Knowledge Base Files service collection.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
entities_knowledge_base_files_download_v1Download knowledge base file entities for the provided id.
entities_knowledge_base_files_v1Retrieve knowledge base file entities for the provided id.
entities_knowledge_base_files_update_v1Update an existing file in a knowledge base. Supports updating file content and optionally its description.
entities_knowledge_base_files_create_v1Upload a file to a knowledge base.
entities_knowledge_base_files_delete_v1Delete document from knowledge base.
queries_knowledge_base_files_v1Query knowledge base files based on the provided filters.

Download knowledge base file entities for the provided id.

GET /agentic-studio/entities/knowledge_base_files/download/v1
Scope Charlotte Ai Agent Definition: READ Consumes · Produces application/json
NameTypeData typeDescription
knowledge_base_idquerystringID of the knowledge base
idquerystringID of entities to retrieve.

Examples coming soon.


Retrieve knowledge base file entities for the provided id.

GET /agentic-studio/entities/knowledge_base_files/v1
Scope Charlotte Ai Agent Definition: READ Consumes · Produces application/json
NameTypeData typeDescription
knowledge_base_idquerystringID of the knowledge base
idsquerystring or list of stringsIDs of entities to retrieve.
include_deletedquerybooleanInclude deleted knowledge base files in the result. Defaults to false.

Examples coming soon.


Update an existing file in a knowledge base. Supports updating file content and optionally its description.

PUT /agentic-studio/entities/knowledge_base_files/v1
Scope Charlotte Ai Agent Definition: WRITE Consumes · Produces application/json

Examples coming soon.


Upload a file to a knowledge base.

POST /agentic-studio/entities/knowledge_base_files/v1
Scope Charlotte Ai Agent Definition: WRITE Consumes · Produces application/json

Examples coming soon.


Delete document from knowledge base.

DELETE /agentic-studio/entities/knowledge_base_files/v1
Scope Charlotte Ai Agent Definition: WRITE Consumes · Produces application/json
NameTypeData typeDescription
knowledge_base_idquerystringID of the knowledge base
idquerystringID of the document to delete

Examples coming soon.


Query knowledge base files based on the provided filters.

GET /agentic-studio/queries/knowledge_base_files/v1
Scope Charlotte Ai Agent Definition: READ Consumes · Produces application/json
NameTypeData typeDescription
knowledge_base_idquerystringID of the knowledge base
offsetqueryintegerStarting index of overall result set from which to return ids.
limitqueryintegerNumber of IDs to return. Offset + limit should NOT be above 10K.
filterquerystringFQL query specifying the filter parameters.
include_deletedquerybooleanInclude deleted knowledge base files in the result. Defaults to false.

Examples coming soon.